import PrivateClient from '../../clients/types/privateClient';
import ChannelBase from '../channelBase';

class PrivateChannel extends ChannelBase {
  clients: PrivateClient[] = [];

  messageTransactionPossible(from: PrivateClient, to: PrivateClient) {
    return (
      to !== from &&
      to.roles.includes('receiver') &&
      from.roles.includes('broadcaster')
    );
  }
}

export default PrivateChannel;
