import ClientBase from '../clientBase';
import ClientManager from '../../clientManager';
import ChannelManager from '../../channelManager';
import * as WebSocket from 'ws';

const logger = require('../../logger');

class CustomClient extends ClientBase {
  constructor(data: any, ws: WebSocket, channelManager: ChannelManager, clientManager: ClientManager) {
    super(data, ws, channelManager, clientManager);
    this.roles = data.user_roles;
    logger.accessLog.info('Custom Client Created', {data});
  }
}

export default CustomClient;
